#ifndef MSP_GL_DATATYPE_H_
#define MSP_GL_DATATYPE_H_

#include "gl.h"
#include <msp/gl/extensions/nv_half_float.h>

namespace Msp {
namespace GL {

enum DataType
{
	BYTE           = GL_BYTE,
	UNSIGNED_BYTE  = GL_UNSIGNED_BYTE,
	SHORT          = GL_SHORT,
	UNSIGNED_SHORT = GL_UNSIGNED_SHORT,
	INT            = GL_INT,
	UNSIGNED_INT   = GL_UNSIGNED_INT,
	FLOAT          = GL_FLOAT,
	HALF_FLOAT     = GL_HALF_FLOAT
};

unsigned get_type_size(DataType);

} // namespace GL
} // namespace Msp

#endif
